<?php

/**
 * The file that defines all the metaboxes in the plugin
 *
 * @link       https://autoserve.io
 * @since      1.0.4
 *
 * @package    Messageflow
 * @subpackage Messageflow/includes
 */

/**
 * The metaboxes plugin class.
 *
 * @since      1.0.4
 * @package    Messageflow
 * @subpackage Messageflow/includes
 * @author     Autoserve <support@autoserve.io>
 */
class Messageflow_Metaboxes {

	public function __construct() {
		add_action( 'add_meta_boxes', array( $this, 'messageflow_admin_order_sms_metabox' ) );
	}

		// Add metabox action callback
	public function messageflow_admin_order_sms_metabox() {
		add_meta_box(
			'admin_order_sms',
			__('MessageFlow Send SMS', 'messageflow'),
			array( $this, 'messageflow_admin_order_sms_metabox_content' ),
			'shop_order',
			'side',
			'core'
		);
	}

	// Admin order SMS content callback
	public function messageflow_admin_order_sms_metabox_content( $post )  {
		?>
            <style>
                #admin_order_sms textarea {
                    box-shadow: unset !important;
                    border-radius: unset !important;
                    border: unset !important;
                }

                #admin_order_sms textarea:focus {
                    border-color: unset !important;
                    box-shadow: unset !important;
                    outline: unset !important;
                }
            </style>
		    <div id="admin-order-sms"></div>
		<?php
	}
}

new Messageflow_Metaboxes();
